%define name balazar
%define oname Balazar
%define version 0.2
%define release 1mdk

Summary:	A 3D adventure and roleplaying game
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:	Games/Adventure
Source:	http://download.gna.org/balazar/%oname-%version.tar.bz2
Source10: %{name}-16.png
Source11: %{name}-32.png
Source12: %{name}-48.png
URL:		http://home.gna.org/oomadness/fr/balazar/
# or http://balazar.nekeme.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel, SDL-devel
Requires: soya, python-imaging, pyrex, cal3d, openal, pyogg, pyvorbis
Requires: glew, tofu
#dri:)
#pyrex=0.9.3, cal3d=0.9.1
BuildArch: noarch

%description
A 3D adventure and roleplaying game string Balazar the photo-mage.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %oname-%version

%build
python ./setup.py build

%install
python ./setup.py install --root=$RPM_BUILD_ROOT
install -m 644 -D %{SOURCE10} $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m 644 -D %{SOURCE11} $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m 644 -D %{SOURCE12} $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): needs="x11" \
section="More Applications/Games/Adventure" \
 title="%{oname}" longtitle="%{summary}" command="%{_bindir}/%{name}" icon="%{name}.png"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}

%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Sun Sep 11 2005 Guillaume Bedot <littletux@mandriva.org> 0.2-1mdk
- New release
- added some requires

* Wed Mar 02 2005 Guillaume Bedot <guillaume.bedot@cegetel.net> 0.1-1mdk
- First Mandrakelinux package
